Create manual Customer Invoice
Create a Customer Invoice from the ground up by providing product/service lines
POST
/
customer-invoices
/
manual
Create manual Customer Invoice
curl --request POST \
--url https://api.mijnklantportaal.nl/v1/customer-invoices/manual \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customerId": "cst_abc12345def678",
"invoiceNumber": "2015-001",
"issuedAt": "2025-04-14",
"lines": [
{
"description": "Website template",
"amountExclVat": "12.95",
"vatRate": 21
}
],
"sendNotification": true
}
'import requests
url = "https://api.mijnklantportaal.nl/v1/customer-invoices/manual"
payload = {
"customerId": "cst_abc12345def678",
"invoiceNumber": "2015-001",
"issuedAt": "2025-04-14",
"lines": [
{
"description": "Website template",
"amountExclVat": "12.95",
"vatRate": 21
}
],
"sendNotification": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerId: 'cst_abc12345def678',
invoiceNumber: '2015-001',
issuedAt: '2025-04-14',
lines: [{description: 'Website template', amountExclVat: '12.95', vatRate: 21}],
sendNotification: true
})
};
fetch('https://api.mijnklantportaal.nl/v1/customer-invoices/manual', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mijnklantportaal.nl/v1/customer-invoices/manual",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'customerId' => 'cst_abc12345def678',
'invoiceNumber' => '2015-001',
'issuedAt' => '2025-04-14',
'lines' => [
[
'description' => 'Website template',
'amountExclVat' => '12.95',
'vatRate' => 21
]
],
'sendNotification' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mijnklantportaal.nl/v1/customer-invoices/manual"
payload := strings.NewReader("{\n \"customerId\": \"cst_abc12345def678\",\n \"invoiceNumber\": \"2015-001\",\n \"issuedAt\": \"2025-04-14\",\n \"lines\": [\n {\n \"description\": \"Website template\",\n \"amountExclVat\": \"12.95\",\n \"vatRate\": 21\n }\n ],\n \"sendNotification\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mijnklantportaal.nl/v1/customer-invoices/manual")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customerId\": \"cst_abc12345def678\",\n \"invoiceNumber\": \"2015-001\",\n \"issuedAt\": \"2025-04-14\",\n \"lines\": [\n {\n \"description\": \"Website template\",\n \"amountExclVat\": \"12.95\",\n \"vatRate\": 21\n }\n ],\n \"sendNotification\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mijnklantportaal.nl/v1/customer-invoices/manual")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customerId\": \"cst_abc12345def678\",\n \"invoiceNumber\": \"2015-001\",\n \"issuedAt\": \"2025-04-14\",\n \"lines\": [\n {\n \"description\": \"Website template\",\n \"amountExclVat\": \"12.95\",\n \"vatRate\": 21\n }\n ],\n \"sendNotification\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "inv_abc12345def678",
"customerId": "cst_abc12345def678",
"invoiceNumber": "2024-001",
"issuedAt": "2024-04-29",
"dueAt": "2024-05-28",
"currency": "EUR",
"amount": "12.95",
"paidAt": "2024-05-28T21:00:00+02:00",
"createdAt": "2024-04-29T21:00:00+02:00",
"links": {
"customer": {
"href": "https://api.mijnklantportaal.nl/v1/customers/cst_abc12345def678",
"type": "application/json"
},
"onlinePaymentLink": {
"href": "https://portal.mijnklantportaal.nl/public-invoice/inv_abc123/pay/123-abc",
"type": "text/html"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Body
application/json
Response
Getting the created Customer Invoice
Customer Invoice
⌘I
Create manual Customer Invoice
curl --request POST \
--url https://api.mijnklantportaal.nl/v1/customer-invoices/manual \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customerId": "cst_abc12345def678",
"invoiceNumber": "2015-001",
"issuedAt": "2025-04-14",
"lines": [
{
"description": "Website template",
"amountExclVat": "12.95",
"vatRate": 21
}
],
"sendNotification": true
}
'import requests
url = "https://api.mijnklantportaal.nl/v1/customer-invoices/manual"
payload = {
"customerId": "cst_abc12345def678",
"invoiceNumber": "2015-001",
"issuedAt": "2025-04-14",
"lines": [
{
"description": "Website template",
"amountExclVat": "12.95",
"vatRate": 21
}
],
"sendNotification": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerId: 'cst_abc12345def678',
invoiceNumber: '2015-001',
issuedAt: '2025-04-14',
lines: [{description: 'Website template', amountExclVat: '12.95', vatRate: 21}],
sendNotification: true
})
};
fetch('https://api.mijnklantportaal.nl/v1/customer-invoices/manual', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mijnklantportaal.nl/v1/customer-invoices/manual",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'customerId' => 'cst_abc12345def678',
'invoiceNumber' => '2015-001',
'issuedAt' => '2025-04-14',
'lines' => [
[
'description' => 'Website template',
'amountExclVat' => '12.95',
'vatRate' => 21
]
],
'sendNotification' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mijnklantportaal.nl/v1/customer-invoices/manual"
payload := strings.NewReader("{\n \"customerId\": \"cst_abc12345def678\",\n \"invoiceNumber\": \"2015-001\",\n \"issuedAt\": \"2025-04-14\",\n \"lines\": [\n {\n \"description\": \"Website template\",\n \"amountExclVat\": \"12.95\",\n \"vatRate\": 21\n }\n ],\n \"sendNotification\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mijnklantportaal.nl/v1/customer-invoices/manual")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customerId\": \"cst_abc12345def678\",\n \"invoiceNumber\": \"2015-001\",\n \"issuedAt\": \"2025-04-14\",\n \"lines\": [\n {\n \"description\": \"Website template\",\n \"amountExclVat\": \"12.95\",\n \"vatRate\": 21\n }\n ],\n \"sendNotification\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mijnklantportaal.nl/v1/customer-invoices/manual")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customerId\": \"cst_abc12345def678\",\n \"invoiceNumber\": \"2015-001\",\n \"issuedAt\": \"2025-04-14\",\n \"lines\": [\n {\n \"description\": \"Website template\",\n \"amountExclVat\": \"12.95\",\n \"vatRate\": 21\n }\n ],\n \"sendNotification\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "inv_abc12345def678",
"customerId": "cst_abc12345def678",
"invoiceNumber": "2024-001",
"issuedAt": "2024-04-29",
"dueAt": "2024-05-28",
"currency": "EUR",
"amount": "12.95",
"paidAt": "2024-05-28T21:00:00+02:00",
"createdAt": "2024-04-29T21:00:00+02:00",
"links": {
"customer": {
"href": "https://api.mijnklantportaal.nl/v1/customers/cst_abc12345def678",
"type": "application/json"
},
"onlinePaymentLink": {
"href": "https://portal.mijnklantportaal.nl/public-invoice/inv_abc123/pay/123-abc",
"type": "text/html"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}